MEMMOVE(3)

NAME
memmove - copy bytes

SYNOPSIS
#include <string.h>
void *
memmove(void *dst, const void *src, size_t len);

DESCRIPTION
The memmove() function copies len bytes from buffer src to buffer dst. The two buffers may overlap; the copy is always done in a non-destructive manner.

RETURN VALUES
The memmove() function returns the original value of dst.

SEE ALSO
bcopy(3), memccpy(3), memcpy(3), strcpy(3), strlcpy(3), wmemmove(3)

STANDARDS
The memmove() function conforms to ansiC.

HISTORY
The memmove() function first appeared in 4.3BSD Reno.